EBookBackendSExp
3
LIBEDATA-BOOK Library

# EBookBackendSExp

## Synopsis

    struct              EBookBackendSExp;
    EBookBackendSExp *  e_book_backend_sexp_new             (const char *text);
    gboolean            e_book_backend_sexp_match_vcard     (EBookBackendSExp *sexp,
                                                             const char *vcard);
    gboolean            e_book_backend_sexp_match_contact   (EBookBackendSExp *sexp,
                                                             EContact *contact);

## Object Hierarchy

      GObject
       +----EBookBackendSExp

## Description

## Details

### struct EBookBackendSExp

    struct EBookBackendSExp;

### e_book_backend_sexp_new ()

    EBookBackendSExp *  e_book_backend_sexp_new             (const char *text);

Creates a new EBookBackendSExp from `text`.

`text` :

  an s-expression to parse

Returns :

  A new EBookBackendSExp.

### e_book_backend_sexp_match_vcard ()

    gboolean            e_book_backend_sexp_match_vcard     (EBookBackendSExp *sexp,
                                                             const char *vcard);

Checks if `vcard` matches `sexp`.

`sexp` :

  an EBookBackendSExp

`vcard` :

  a VCard string

Returns :

  `TRUE` if the VCard matches, `FALSE` otherwise.

### e_book_backend_sexp_match_contact ()

    gboolean            e_book_backend_sexp_match_contact   (EBookBackendSExp *sexp,
                                                             EContact *contact);

Checks if `contact` matches `sexp`.

`sexp` :

  an EBookBackendSExp

`contact` :

  an EContact

Returns :

  `TRUE` if the contact matches, `FALSE` otherwise.